<?php
/*
+---------------------------------------------------------------+
|       e107 website system imagegallery plugin
|       e107_plugins/imagegallery_random_menu/config.php
|
|        Mark Pustjens 2003
|       http://unkie.org
|       mark@unkie.org
|
|       Released under the terms and conditions of the
|       GNU General Public License (http://gnu.org).    
+---------------------------------------------------------------+
*/

require_once("../../class2.php");

@include("languages/imagegallery_random_menu_".e_LANGUAGE.".php");
@include("languages/imagegallery_random_menu_English.php");

/* check authorisation */
if(!getperms("P")){
  header('location:'.SITEURL.'index.php'); 
  exit;
}
  
/* save the preferences */
if(IsSet($_POST['updateprefs'])){
  $aj = new textparse;

  /* settings for thumbnail browse mode */
  $pref['ig_random_width']		= $_POST['ig_random_width'] ? $_POST['ig_random_width'] : 180;
  $pref['ig_random_height']		= $_POST['ig_random_height'] ? $_POST['ig_random_height'] : 144;
  $pref['ig_random_name']		= $_POST['ig_random_name'] ? $_POST['ig_random_name'] : 'Random Images';
  $pref['ig_random_image_count']	= $_POST['ig_random_image_count'] ? $_POST['ig_random_image_count'] : 1;

  $categories = '';
  for($i = 0; $i < $pref['ig_random_image_count']; $i++){
    $categories .= $_POST['ig_random_categories'][$i].',';
  }
  
  $pref['ig_random_categories']		= $categories;
  
  save_prefs();
  header('location: '.SITEURL.$PLUGINS_DIRECTORY.'imagegallery_random_menu/config.php');
  echo "<script type='text/javascript'>document.location.href='admin_config.php'</script>\n";
  exit;
}

require_once(e_ADMIN."auth.php");
$ns->tablerender("Imagegallery configuration", render_configuration($pref));
require_once(e_ADMIN."footer.php");

/*********************************************************************/

/* render the configuration form */
function render_configuration($pref){
  require_once(e_HANDLER."form_handler.php");
  $frm = new form;
 
  $categories = explode(',', $pref['ig_random_categories']);
 
  $txt = $frm->form_open("post", e_SELF);
  $txt .= '<table style="width: 95%;" class="fborder">
  	    <tr><td class="forumheader" colspan="2">'.IGRA_001.'</td></tr>
  	    <tr>
	      <td class="forumheader3">'.IGRA_002.'</td>
	      <td class="forumheader3">';
  $txt .= $frm->form_text('ig_random_name', 40, $pref['ig_random_name']);
  $txt .=    '</td>
  	    </tr>
  	    <tr>
	      <td class="forumheader3">'.IGRA_003.'</td>
	      <td class="forumheader3">';
  $txt .= $frm->form_select_open('ig_random_image_count');
  for ($i = 1; $i < 10; $i++){
    $txt .= $frm->form_option($i, $i == $pref['ig_random_image_count'], $i);
  }
  $txt .= $frm->form_select_close();
  $txt .=    '</td>
  	    </tr>
  	    <tr>
	      <td class="forumheader3">
	        '.IGRA_004.'<br />
		<span class="smalltext">'.IGRA_005.'</span>
	      </td>
	      <td class="forumheader3">';
  $txt .= $frm->form_text("ig_random_width", 3, $pref['ig_random_width']);
  $txt .= ' x ';
  $txt .= $frm->form_text("ig_random_height", 3, $pref['ig_random_height']);
  $txt .=    '<span class="smalltext"> '.IGRA_006.'<span>
  	      </td>
  	    </tr>
  	    <tr><td class="forumheader" colspan="2">'.IGRA_007.'</td></tr>
	    <tr>
	      <td class="forumheader3" colspan="2">'.IGRA_008.'</td>
	    </tr>';
  for($i = 0; $i < $pref['ig_random_image_count']; $i++){
    $txt .= '<tr>
    	       <td class="forumheader3">'.sprintf(IGRA_009, $i+1).'</td>
	       <td class="forumheader3">';
    $txt .= category_select('ig_random_categories['.$i.']', $categories[$i]);
    $txt .=   '</td>
	     </tr>';
  }
  $txt .=  '<tr>
	    </tr>
  	    <tr><td class="forumheader" colspan="2">'.IGRA_010.'</td></tr>
	    <tr>
	      <td colspan="2" style="text-align: center;" class="forumheader3">';
  $txt .= $frm->form_button("submit", "updateprefs", IGRA_011);
  $txt .=    '</td>
	    </tr>
  	  </table>';
  $txt .= $frm->form_close();

  return $txt;
}

function category_select($name, $value){
  $frm = new form;
  global $sql;

  $txt = $frm->form_select_open($name);
  if ($sql->db_Select('images_category', 'category_id AS id, category_name AS name')){
    while ($cat = $sql->db_Fetch()) $txt .= $frm->form_option($cat['name'].' ('.$cat['id'].')', $cat['id'] == $value, $cat['id']);
  }
  $txt .= $frm->form_select_close();

  return $txt;
}

?>
