<?php
/*
+---------------------------------------------------------------+
|       e107 website system
|       e107_plugins/imagegallery_random_menu/plugin.php
|
|        Mark Pustjens 2003
|       http://unkie.org
|       mark@unkie.org
|
|       Released under the terms and conditions of the
|       GNU General Public License (http://gnu.org).    
+---------------------------------------------------------------+
*/

// Plugin info 
$eplug_name = "Imagegallery Random Image Menu";
$eplug_version = "1.0pre1";
$eplug_author = "unknown";
$eplug_logo = $eplug_folder."/images/imagegallery_icon.png";
$eplug_url = "http://unkie.org";
$eplug_email = "mark@unkie.org";
$eplug_description = "an extension of Imagegallery which shows a random image as a menu.";
$eplug_compatible = "e107v6";
$eplug_readme = "";

// Name of the plugin's folder 
$eplug_folder = "imagegallery_random_menu";
// Name of the plugin menu item. 
//$eplug_menu_name = "imagegallery";

$eplug_icon = $eplug_folder."/images/imagegallery_icon.png";


// Name of the admin configuration file 
$eplug_conffile = "config.php";

// Icon image and caption text 
// this info will be displayed in the admin  panel. 
//$eplug_icon = $eplug_folder."imagesyour_icon.png";
$eplug_caption = "Image Gallery Random Image Menu";

// List of preferences 
// creates a setting in the core preferences. - in this example the value 0 is  retrieved using $pref['eventpost_admin'] ( replace eventpost_admin with your unique name ) 
$eplug_prefs = array(
	'ig_random_name' => 'Random images',
	'ig_random_image_count' => 1,
	'ig_random_categories' => 0,
	'ig_random_width' => 180,
	'ig_random_height' => 144
		   );

// table names and definitions
//$eplug_table_names = array();
//$eplug_tables = array();

// Create a link in main menu (yes=TRUE, no=FALSE) 
$eplug_link = FALSE;
//$eplug_link_name = "Image Gallery";
//$eplug_link_url = e_PLUGIN."imagegallery/browse.php";

// Text to display after plugin successfully installed 
$eplug_done = "Image Gallery Random Image Menu was successfully installed. If you have not installed Imagegallery this plugin will NOT work!.";

// add this preference when upgrading

$upgrade_add_prefs = "";
//$upgrade_add_prefs = array("ig_thumbsize" => 200);

$upgrade_remove_prefs = "";

$upgrade_alter_tables = "";

$eplug_upgrade_done = "";
//$eplug_upgrade_done = "Image Gallery has been successfully upgraded to version ".$eplug_version;

?>
